package net.wanji.opt.common;

public class Constants {

    /**
     * 系统缩写
     */
    public static final String SYSTEM_ABBR = "OPT";

    /**
     * 相位（灯态）锁定
     */
    public static final Integer LOCK_RUNNING_CONTROL = 12;

    /**
     * 相位（灯态）解锁: 0-多时段控制模式
     */
    public static final Integer UNLOCK_RUNNING_CONTROL = 13;

    /**
     * 恢复正常方案: 0-多时段控制模式
     */
    public static final Integer NORMAL_RUNNING_CONTROL = 0;

    /**
     * 关灯
     */
    public static final Integer CLOSE_LIGHT_CONTROL = 1;

    /**
     * 黄闪
     */
    public static final Integer YELLOW_LIGHT_CONTROL = 2;

    /**
     * 手动全红
     */
    public static final Integer ALL_RED_CONTROL = 3;

    /**
     * 定周期控制
     */
    public static final Integer FIXED_CYCLE_MODE = 4;

    /**
     * 步进控制
     */
    public static final Integer STEP_CONTROL = 10;

    /**
     * 取消步进
     */
    public static final Integer CANCEL_STEP_CONTROL = 11;

    /**
     * 绿波优化查询缓存key
     */
    public static final String GREEN_ID_OPT_KEY = "green_opt_";
    public static final String GREEN_ID_OPT_CHART_KEY = "green_opt_chart_";


}