package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/10 17:27
 */
@Getter
@AllArgsConstructor
public enum GreenWaveInDirEnum {
    E2W(3, "东向西"),
    W2E(7, "西向东"),
    N2S(1, "北向南"),
    S2N(5, "南向北");

    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (GreenWaveInDirEnum value : GreenWaveInDirEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.desc;
            }
        }
        return "";
    }
}
