package net.wanji.opt.dto.induce;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class GreenwaveInducesDTO {

    @ApiModelProperty(name = "绿波编号")
    private Integer greenId;

    @ApiModelProperty(name = "绿波干线名称")
    private String greenName;

    @ApiModelProperty(name = "诱导屏数量")
    private Integer equipCount;

    @ApiModelProperty(name = "设计速度")
    private Double designSpeed;

    @ApiModelProperty(name = "发布状态")
    private Integer status ;

    @ApiModelProperty(name="绿波方向")
    private List<GreenwaveDirDTO> greenwaveDirList;

    @ApiModelProperty(name = "绿波带坐标")
    private String wkt;


}
