package net.wanji.opt.dto.induce;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.opt.entity.InduceTemplate;

import java.math.BigDecimal;
import java.util.List;

@NoArgsConstructor
@Data
public class InduceDTO {

    @ApiModelProperty(name = "诱导下发编号")
    private Integer id;

    @ApiModelProperty(name = "屏幕编号")
    private String equipCode;

    @ApiModelProperty(name = "设备名称")
    private String equipName;

    @ApiModelProperty(name = "方向")
    private Integer ridDir;

    @ApiModelProperty(name = "发布状态")
    private Integer status ;

    @ApiModelProperty(name = "屏幕分辨率宽度")
    private BigDecimal resolutionWidth;

    @ApiModelProperty(name = "屏幕分辨率高度")
    private BigDecimal resolutionHeight;

    @ApiModelProperty(name = "设备坐标")
    private String wkt;

    @ApiModelProperty(name = "关联绿波信息")
    private List<GreenwaveDTO> greenwaveList;


//    @ApiModelProperty(name = "关联模板信息")
//    private List<InduceTemplate> induceTemplateList;
}
