package net.wanji.opt.synthesis.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2025/01/16 16:52
 */
@Data
public class StrategyFactoryQueryVO {

    @ApiModelProperty("类型 1 单点 2干线 3区域")
    private Integer type;
    @ApiModelProperty("场景")
    private Integer scene;
    @ApiModelProperty("策略")
    private String strategyName;
    @ApiModelProperty("策略编号")
    private String strategyNo;
    @ApiModelProperty("算法厂商")
    private String company;
    @ApiModelProperty("当前页")
    private int currentPage;
    @ApiModelProperty("每页数量")
    private int pageSize;
}
