package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/11 22:50
 * 优化监测问题诊断实体
 */
@Data
@ApiModel(description = "优化监测问题诊断实体")
public class CrossStatusCountVO {

    @ApiModelProperty("事件类型 1失衡；2拥堵；3溢出；5相位空放")
    private Integer type;
    @ApiModelProperty("发生次数")
    private Integer count;
    @ApiModelProperty("事件方向转向列表")
    private List<DirTurn> list;

    @Data
    public static class DirTurn {
        @ApiModelProperty("方向1北.... 7西北")
        private String dir;
        @ApiModelProperty("转向 1左 2直 3右")
        private String turn;
    }

}
