package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.databus.vo.AbnormalCrossListVO;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenWaveRunStateVO", description = "干线运行状态")
public class GreenWaveRunStateVO {

    @ApiModelProperty(value = "干线ID")
    private Integer greenId;

    @ApiModelProperty(value = "干线运行状态 701相位空放  702路口失衡 703路口溢出 704路口死锁 705干线-缓行  706干线-拥堵")
    private int state;

    @ApiModelProperty(value = "状态持续时长，单位秒")
    private int duration;

    @ApiModelProperty(value = "状态发送次数")
    private int count;

    @ApiModelProperty(value = "分析时段总时长，单位秒")
    private int totalTime;

}
