package net.wanji.opt.constant;

/**
 * @ClassName ServiceLevelEnum
 * @Description
 * @Date 2021/4/15 11:13
 * @Version 1.0
 */
public enum ServiceLevelEnum {

    CROSS_PHASE_EMPTY("A",1 ),
    CROSS_UNBALANCE("B",2 ),
    CROSS_OVERFLOW("C",3 ),
    CROSS_DEADLOCK("D",4 ),
    GREEN_WAVE_SLOW_RUN("E",5 ),
    GREEN_WAVE_CONGEST("F",6 ),
    ;


    String type;
    Integer val;

    ServiceLevelEnum(String type, Integer val ) {
        this.type = type;
        this.val = val;
    }
    public String getType(){
        return type;
    }

    public Integer getVal() {
        return val;
    }

    public static ServiceLevelEnum getByType(String type){
        for (ServiceLevelEnum abnormalEnum : ServiceLevelEnum.values()) {
            if(abnormalEnum.getType().equals(type)){
                return abnormalEnum;
            }
        }
        return null;
    }


    public static ServiceLevelEnum getByVal(Integer type){
        for (ServiceLevelEnum abnormalEnum : ServiceLevelEnum.values()) {
            if(abnormalEnum.getVal().equals(type)){
                return abnormalEnum;
            }
        }
        return null;
    }

}
