package net.wanji.opt.dto.induce;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class GreenwaveDirDTO {

    @ApiModelProperty(name = "当前策略")
    private Integer strategyId;

    @ApiModelProperty(name = "策略名称")
    private String strategyName;

    @ApiModelProperty(name = "绿波方向:1 南向北 2 西向东 3 北向南 4 东向西")
    private Integer dir;

    @ApiModelProperty(name = "推荐最小速度")
    private Double minSpeed;

    @ApiModelProperty(name = "推荐最大速度")
    private Double maxSpeed;

    @ApiModelProperty(name = "执行时段")
    private String controlOptTimes;

    @ApiModelProperty(name = "诱导屏列表")
    private List<InduceDTO> induceList;

}
