package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/01/21 14:29
 */
@Data
@TableName("t_induce_font_hist_log")
public class InduceFontHist {
    @ApiModelProperty(value = "唯一ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty(value = "诱导屏编码")
    @TableField("equip_code")
    private String equipCode;
    @ApiModelProperty(value = "字体类型")
    @TableField("font_type")
    private String fontType;
    @ApiModelProperty(value = "字体大小")
    @TableField("font_size")
    private String fontSize;
    @ApiModelProperty(value = "字体颜色")
    @TableField("font_color")
    private String fontColor;
    @ApiModelProperty(value = "字体行间距")
    @TableField("line_spacing")
    private String lineSpacing;
    @ApiModelProperty(value = "文字内容")
    @TableField("content")
    private String content;
    @ApiModelProperty(value = "绿波编号")
    @TableField("green_id")
    private Integer greenId;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("gmt_create")
    private Date gmtCreate;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("gmt_modified")
    private Date gmtModified;
}
