package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/12/05 11:29
 * @description 路口优化结果当前时间优化场景节约时间
 */
@Data
@ApiModel("路口优化曲线实体")
public class CrossOptResult {
    @ApiModelProperty("策略")
    private Integer strategy;
    @ApiModelProperty("策略名称")
    private String strategyName;
    @ApiModelProperty("节约时间")
    private Integer countDown;
    @ApiModelProperty("时间戳")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
    private Date timeStamp;
}
